Bug 242224 - math/libnormaliz: Update to 3.8.3
Summary: math/libnormaliz: Update to 3.8.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://github.com/Normaliz/Normaliz/...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-11-25 15:51 UTC by Lorenzo Salvadore
Modified: 2019-12-07 23:21 UTC (History)
1 user (show)

See Also:


Attachments
libnormaliz - 3.8.2 (954 bytes, patch)
2019-11-25 15:51 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff
libnormaliz - 3.8.3 (954 bytes, patch)
2019-11-26 19:31 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2019-11-25 15:51:11 UTC
Created attachment 209413 [details]
libnormaliz - 3.8.2

Changelog:
https://github.com/Normaliz/Normaliz/blob/master/CHANGELOG

Tested successfully with poudriere on {11.3,12.1}-RELEASE {i386,amd64}.
Comment 1 Automation User 2019-11-25 16:07:25 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/98412124
Comment 2 Lorenzo Salvadore 2019-11-26 19:31:25 UTC
Created attachment 209457 [details]
libnormaliz - 3.8.3

3.8.3 is out and I update the patch.

Changelog:
"This is a purely technical realease that fixes an incompatibility between libnormaliz and PyNormaliz in version 3.8.2.

For binaries see 3.8.2."

Tested successfully with poudriere on {11.3,12.1}-RELEASE {i386,amd64}.
Comment 3 Tobias C. Berner freebsd_committer 2019-12-07 23:20:50 UTC
Committed. Thanks.
Comment 4 commit-hook freebsd_committer 2019-12-07 23:21:38 UTC
A commit references this bug:

Author: tcberner
Date: Sat Dec  7 23:20:40 UTC 2019
New revision: 519255
URL: https://svnweb.freebsd.org/changeset/ports/519255

Log:
  math/libnormaliz: Update to 3.8.3

  PR:		242224
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch> (maintainer)

Changes:
  head/math/libnormaliz/Makefile
  head/math/libnormaliz/distinfo